
%global meadversion 1.9
%global namedversion 1.9.redhat-4
%global meadalpha .redhat_4
%global meadrel .3
%global serial 2

%bcond_without mead

%{?scl:%scl_package jansi}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/jansi-eap6}
%{!?scl:%global javadir %{_javadir}/jansi-eap6}

%define maven_version 1.9.redhat-4

Name:           %{?scl_prefix}jansi%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        jansi
Group:          Development/Java

%if %with mead
Source100: jansi-project-1.9.redhat-4-scm-sources.zip
Source102: jansi-1.9.redhat-4.pom
Source103: jansi-1.9.redhat-4-javadoc.jar
Source104: jansi-1.9.redhat-4-sources.jar
Source105: jansi-1.9.redhat-4.jar
Source106: jansi-website-1.9.redhat-4.pom
Source107: jansi-project-1.9.redhat-4.pom
Source108: jansi-project-1.9.redhat-4-site.xml
%endif

License:        ASL 2.0
URL:            http://jansi.fusesource.org
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}jansi%{?eap}-%{namedversion}-%{release}-root

%description
Jansi is a java library for generating and interpreting ANSI escape sequences.

%prep
%setup -q -n jansi -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/jansi-%{namedversion}.jar %{buildroot}%{javadir}/jansi-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jansi-%{namedversion}-sources.jar %{buildroot}%{javadir}/jansi-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%files
%defattr(0644,root,root,0755)
%doc changelog.md KEYS license.txt readme.md
%dir %{javadir}
%{javadir}/jansi-%{namedversion}.jar
%{javadir}/jansi.jar
%{javadir}/jansi-%{namedversion}-sources.jar
%{javadir}/jansi-sources.jar

%changelog
* Fri May 23 2014 David Walluck <dwalluck@redhat.com> - 1.9-2.redhat_4.3
- own java dir

* Fri May 23 2014 David Walluck <dwalluck@redhat.com> - 1.9-1.redhat_4.3
- release

